<div class="card card-outline card-primary">
	<div class="card-header">
		<h3 class="card-title">TCI Holidays</h3>
        <div class="card-tools">
			<a href="javascript:void(0)" id="create_new" class="btn btn-flat btn-primary"><span class="fas fa-plus"></span>  Add New</a>
		</div>
	</div>
	<div class="card-body">
		<div class="container-fluid">
          <table id="holidaysTable" class="table table-bordered table-hover" style="width: 100%;">
	       <thead>
	        <tr>
	        	<th>Userid</th>
	            <th>Dates</th>
	            <th>Status</th>
	            <th>Action</th>
	        </tr>
	       </thead>
	      </table>
		</div>
	</div>
</div>
<?php
$now = date("Y-m-d", strtotime( '0 days' ));
$fetchid = $now;
?>
<script>
	$(document).ready(function(){
		var today = new Date();
        var dd = String(today.getDate()).padStart(2, '0');
        var mm = String(today.getMonth() + 1).padStart(2, '0');
        var yyyy = today.getFullYear();
            today = mm + '/' + dd + '/' + yyyy;
		var table = $('#holidaysTable').DataTable( { 
		    "processing": true,
		    "serverSide": true,
		    "ajax": "fetch/holidays.php?fetchid=<?=$fetchid?>",
		    "order": [[1, 'asc']],
		    "pageLength": 25,
		    "language": 
		        {                
                    "infoFiltered": ""
                },
		    "columnDefs": 
		    [
                {
                    "targets": [ 0 ],
                    "visible": false,
                    "searchable": false
                },
                {
                    "targets": [ 2, -1 ],
                    "className": "text-center"
                },
                
		        {
		         	"targets": -1,
		            "data": null,
		            "defaultContent": "<center><div class='btn-group'><button type='button' class='btn btn-default'>Action</button><button type='button' class='btn btn-default dropdown-toggle dropdown-icon' data-toggle='dropdown' aria-expanded='false'><span class='sr-only'>Toggle Dropdown</span></button><div class='dropdown-menu' role='menu' style=''><a class='dropdown-item edit' href='#'><span class='fa fa-edit text-primary'></span> Edit</a><div class='dropdown-divider'></div><a class='dropdown-item delete' href='#'><span class='fa fa-trash text-danger'></span> Delete</a></div></div></center>" 
		        }
		        ]
		    });

		    // Numbering 
		    table.on('draw.dt', function () {
	            var info = table.page.info();
	            table.column(0, { search: 'applied', order: 'applied', page: 'applied' }).nodes().each(function (cell, i) {
	                cell.innerHTML = i + 1 + info.start;
	            });
	        });
	      
		    $('#create_new').click(function(){
			uni_modal("<i class='fa fa-plus'></i> Add Holiday","business/manage_holiday.php","mid-large")
		    })
		    
		    $('#holidaysTable tbody').on( 'click', '.edit', function () {
			var data = table.row( $(this).parents('tr')).data();
		    var data1 = data[0];
		    uni_modal("<i class='fa fa-calendar-check'></i> Edit Holiday" ,"business/manage_holiday.php?id="+ data1 ,"mid-large")
		    })

		    $('#holidaysTable tbody').on( 'click', '.view', function () {
		        var data = table.row( $(this).parents('tr')).data();
		        var data1 = btoa(data[0]);
		        window.location.href = "<?=base_url?>admin/?page=customer/&userid="+ data1;
		    });

		    $('#holidaysTable tbody').on( 'click', '.delete', function () {
		        var data = table.row( $(this).parents('tr')).data();
		        window.location.href = "<?=base_url?>admin/?page=reservations/edit&id="+ data[0];
		    });

		});
	</script>
<script>
	// Define the string
	var string = 'Hello World!';

	// Encode the String
	var encodedString = btoa(string);
	console.log(encodedString); // Outputs: "SGVsbG8gV29ybGQh"

	// Decode the String
	var decodedString = atob(encodedString);
	console.log(decodedString); // Outputs: "Hello World!"
</script>