<?php 	
include('../../classes/db.php'); 		
$fetchid = $_GET['fetchid'];
 
// DB table to use 
// $table = 'members'; 
$table = <<<EOT
 (
    SELECT 
      a.resid, 
      a.userid, 
      a.catid,
      a.status,
      a.checkin,
      a.checkout,
      a.service,
      a.suite,
      a.brought as ob_food,
      a.record,
      a.sitting,
      a.bath,
      a.bathbrushout,
      a.nailtrim,
      a.softpaws,
      a.tummyshave,
      a.pantyshave,
      a.shavemats,
      a.defluff,
      a.lioncut,
      a.bodyshave,
      a.mohawk,
      a.trimfur,
      b.id,
      b.name,
      b.breed,
      b.medication,
      c.name as username,
      c.lname,
      d.id as Did,
      d.run,
      d.med,
      d.obitem,
      d.conf,
      d.status as Dstatus,
      d.resid as Dresid,
      d.catid as Dcatid,
      d.indate,
      d.outdate
    FROM reservations a
    LEFT JOIN cats b ON a.catid = b.id
    LEFT JOIN users c ON a.userid = c.id
    LEFT JOIN checkin d ON a.catid = d.catid AND a.resid = d.resid
 ) temp
EOT;
 
// Table's primary key 
$primaryKey = 'resid'; 
 
// Array of database columns which should be read and sent back to DataTables. 
// The `db` parameter represents the column name in the database.  
// The `dt` parameter represents the DataTables column identifier. 
$columns = array( 
    array( 'db' => 'resid',      'dt' => 0 ),
    array( 'db' => 'name',      'dt' => 1 ), 
    array( 
        'db'        => 'checkin', 
        'dt'        => 2, 
        'formatter' => function( $d, $row ) { 
            return date( 'm/d/Y', strtotime($d)); 
        } 
    ), 
    array( 
        'db'        => 'checkout', 
        'dt'        => 3, 
        'formatter' => function( $d, $row ) { 
            return ($d != '')?date( 'm/d/Y', strtotime($d)):'';
        } 
    ), 
    array( 'db' => 'run',      'dt' => 4 ), 
    array( 
        'db'        => 'record', 
        'dt'        => 5, 
        'formatter' => function( $d, $row ) { 
            return ($d == 5)?'<i class="far fa-check-square" style="font-size:17px;"></i> ':'<i class="far fa-square" style="font-size:16px"></i>'; 
        } 
    ),
    array( 'db' => 'med',      'dt' => 6 ), 
    array( 'db' => 'obitem',      'dt' => 7 ),
    array( 'db' => 'ob_food',      'dt' => 8 ), 
    array( 'db' => 'service',      'dt' => 9 ),
    array( 
        'db'        => 'sitting', 
        'dt'        => 10, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1 || $d == 2)?'<i class="far fa-check-square" style="font-size:17px"></i> ':'<i class="far fa-square" style="font-size:16px"></i>'; 
        } 
    ), 
    array( 
        'db'        => 'conf', 
        'dt'        => 11, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)?'<i class="far fa-check-square" style="font-size:17px"></i> ':'<i class="far fa-square" style="font-size:16px"></i>'; 
        } 
    ),
    array( 'db' => 'lname',   'dt' => 12 ),
    array( 'db' => 'catid',   'dt' => 13 ),
    array( 'db' => 'Dstatus',   'dt' => 14 ),
    array( 'db' => 'Did',   'dt' => 15 ),
    array( 'db' => 'name',   'dt' => 16 ),
    
    array( 
        'db'        => 'bath', 
        'dt'        => 17, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Bath,' :''; 
        } 
    ),
    array( 
        'db'        => 'bathbrushout', 
        'dt'        => 18, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Brush Out,' :''; 
        } 
    ),
    array( 
        'db'        => 'nailtrim', 
        'dt'        => 19, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Nail Trim,' :''; 
        } 
    ),
    array( 
        'db'        => 'softpaws', 
        'dt'        => 20, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Softpaws,' :''; 
        } 
    ),    
    array( 
        'db'        => 'tummyshave', 
        'dt'        => 21, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Tummy Shave,' :''; 
        } 
    ),
    array( 
        'db'        => 'pantyshave', 
        'dt'        => 22, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Panty Shave,' :''; 
        } 
    ),
    array( 
        'db'        => 'shavemats', 
        'dt'        => 23, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Shave Mats,' :''; 
        } 
    ),
    array( 
        'db'        => 'defluff', 
        'dt'        => 24, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Defluff,' :''; 
        } 
    ),
    array( 
        'db'        => 'lioncut', 
        'dt'        => 25, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Lion Cut,' :''; 
        } 
    ),
    array( 
        'db'        => 'bodyshave', 
        'dt'        => 26, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Body Shave,' :''; 
        } 
    ),
    array( 
        'db'        => 'mohawk', 
        'dt'        => 27, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Mohawk,' :''; 
        } 
    ),
    array( 
        'db'        => 'trimfur', 
        'dt'        => 28, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)? 'Trim Fur' :''; 
        } 
    ),
    array( 'db' => 'userid',   'dt' => 29 )
); 

// Include SQL query processing class 
require 'ssp.php'; 

// require('ssp.class.php');

// Output data as json format 
echo json_encode( 
    SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns, null, "checkin = '$fetchid' AND status = 1" )
    // SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns)

);
?>