<?php 
include('../../classes/db.php');		
$fetchid = $_GET['fetchid'];

// DB table to use 
// $table = 'members'; 
$table = <<<EOT
 (
    SELECT 
      a.id,
      a.service_id, 
      a.name,
      a.quantity,
      a.description,
      a.cost,
      a.status,
      b.id as Sid,
      b.name as Sname
    FROM service_items a
    LEFT JOIN service_list b ON a.service_id = b.id
 ) temp
EOT;
 
// Table's primary key 
$primaryKey = 'id'; 
 
// Array of database columns which should be read and sent back to DataTables. 
// The `db` parameter represents the column name in the database.  
// The `dt` parameter represents the DataTables column identifier. 
$columns = array( 
	array( 'db' => 'id',      'dt' => 0 ),
    array( 'db' => 'name',      'dt' => 1 ), 
    array( 'db' => 'description',      'dt' => 2 ),
    array( 'db' => 'cost',      'dt' => 3 ), 
    array( 'db' => 'Sname',      'dt' => 4 ),
    array( 'db' => 'quantity',      'dt' => 5 ),     
    array( 
        'db'        => 'status', 
        'dt'        => 6, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)?'<i class="far fa-check-square" style="font-size:17px;"></i> ':'<i class="far fa-square" style="font-size:16px"></i>'; 
        } 
    ),
    array( 'db' => 'service_id',      'dt' => 7 ),
    
    // array( 'db' => 'kesulitan_mapel',    'dt' => 9 )
); 

// Include SQL query processing class 
require 'ssp.php'; 

// require('ssp.class.php');

// Output data as json format 
echo json_encode( 
    SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns, null, "id != 0 " )
    // SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns)

);
?>