<?php 
if(isset($_GET['id'])){
    $qry = $conn->query("SELECT p.*,s.name as supplier FROM invoice_list p inner join service_list s on p.supplier_id = s.id  where p.id = '{$_GET['id']}'");
    if($qry->num_rows >0){
        foreach($qry->fetch_array() as $k => $v){
            $$k = $v;
        }
    }
}

?>
<style>
    select[readonly].select2-hidden-accessible + .select2-container {
        pointer-events: none;
        touch-action: none;
        background: #eee;
        box-shadow: none;
    }

    select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
        background: #eee;
        box-shadow: none;
    }
</style>
<div class="card card-outline card-primary">
    <div class="card-header">
        <h2 class="card-title font-25"><?php echo isset($id) ? "Invoice Details: ".$po_code : 'Create New Invoice' ?></h2>
    </div>
    <div class="card-body">
        <form action="" id="po-form">
            <input type="hidden" name="id" value="<?php echo isset($id) ? $id : '' ?>">
            <input type="hidden" class="form-control rounded-0" name="invoice_code" value="<?=$invoicecode?>">
            <input type="hidden" value="<?php echo isset($po_code) ? $po_code : '' ?>" >
            <input type="hidden" class="form-control rounded-0" id="unit">

            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-5">
                        <div class="form-group">
                            <label for="user_id" class="control-label text-info">Customer</label>
                            <select name="user_id" id="user_id" class="custom-select select2" disabled>
                            <?php 
                            $customers = $conn->query("SELECT * FROM `users` WHERE id = $user_id");
                            while($row=$customers->fetch_assoc()):
                            ?>
                            <option value="<?php echo $row['id'] ?>" selected disabled><?php echo $row['name'] ?></option>
                            <?php endwhile; ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-5">                            
                        <div class="form-group">
                            <label for="cat_id" class="control-label text-info">Cat</label>
                            <select name="cat_id" id="cat_id" class="custom-select select2">
                            <?php 
                            $cats = $conn->query("SELECT * FROM `cats` WHERE userid = $user_id order by `name` asc");
                            while($row=$cats->fetch_assoc()):
                            $catname = $row['name'];
                            ?>
                            <option value="<?php echo $row['id'] ?>" <?php echo isset($userid) && $userid == $row['id'] ? "selected" : "" ?> ><?php echo $row['name'] ?></option>
                            <?php endwhile; ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group">
                           <label class="control-label text-info">Date</label>
                        <div class="input-group date" id="datepicker" data-target-input="nearest">
                        <input id="date_created" name="date_created" type="text" value="<?php if (isset($date_created)){echo date("m/d/Y", strtotime($date_created));} else{echo $date_slash_us;} ?>" class="form-control datetimepicker-input" data-target="#datepicker"  data-toggle="datetimepicker" />
                        <div class="input-group-append" data-target="#datepicker" data-toggle="datetimepicker">
                            <div class="input-group-text"><i class="fa fa-calendar"></i></div>
                        </div>
                        </div>
                        </div>
                    </div>                    
                </div>
                <hr>
                <fieldset>
                    <div class="row justify-content-center align-items-end">
                            <?php 
                                $item_arr = array();
                                $cost_arr = array();
                                $item = $conn->query("SELECT * FROM `service_items` where status = 1 order by `name` asc");
                                while($row=$item->fetch_assoc()):
                                    $item_arr[$row['service_id']][$row['id']] = $row;
                                    $cost_arr[$row['id']] = $row['cost'];
                                endwhile;
                            ?>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label for="supplier_id" class="control-label text-info">Category</label>
                            <select name="supplier_id" id="supplier_id" class="custom-select select2">
                            <option <?php echo !isset($supplier_id) ? 'selected' : '' ?> disabled></option>
                            <?php 
                            $supplier = $conn->query("SELECT * FROM `service_list` where status = 1 order by `name` asc");
                            while($row=$supplier->fetch_assoc()):
                            ?>
                            <option value="<?php echo $row['id'] ?>" <?php echo isset($supplier_id) && $supplier_id == $row['id'] ? "selected" : "" ?> ><?php echo $row['name'] ?></option>
                            <?php endwhile; ?>
                            </select>
                        </div>
                    </div>    
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="item_id" class="control-label text-info">Service</label>
                                <select  id="item_id" class="custom-select ">
                                    <option disabled selected></option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label for="qty" class="control-label text-info">Qty</label>
                                <input type="number" step="any" class="form-control rounded-0" id="qty">
                            </div>
                        </div>
                        <div class="col-md-2 text-center">
                            <div class="form-group">
                                <button type="button" class="btn btn-block btn-flat btn-primary" id="add_to_list">Add to List</button>
                            </div>
                        </div>
                </fieldset>
                <hr>
                <table class="table table-striped table-bordered" id="list">
                    <colgroup>
                        <col width="5%">
                        <col width="15%">
                        <col width="30%">
                        <col width="15%">
                        <col width="10%">
                        <col width="20%">
                    </colgroup>
                    <thead>
                        <tr class="text-light bg-navy">
                            <th class="text-center py-1 px-2"></th>
                            
                            <th class="text-center py-1 px-2">Cat</th>
                            <th class="text-center py-1 px-2">Service</th>
                            <th class="text-center py-1 px-2">Cost</th>
                            <th class="text-center py-1 px-2">Qty</th>
                            <th class="text-center py-1 px-2">Total</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php 
                        $total = 0;
                        if(isset($id)):
                        $qry = $conn->query("
SELECT l.*,i.*,s.name,s.description
FROM `invoice_list` l 
INNER JOIN `invoice_items` i on l.id = i.po_id
INNER JOIN `service_items` s on i.item_id = s.id 
WHERE l.id = '{$id}'");
                        while($row = $qry->fetch_assoc()):
                            $total += $row['total']
                        ?>
                        <tr>
                            <td class="py-1 px-2 text-center">
                                <button class="btn btn-outline-danger btn-sm rem_row" type="button"><i class="fa fa-times"></i></button>
                            </td>
                            
                            <td class="py-1 px-2 text-center unit">
                            <?php echo $catname; ?>
                            </td>
                            <td class="py-1 px-2 item">
                            <?php echo $row['name']; ?> <br>
                            <?php echo $row['description']; ?>
                            </td>
                            <td class="py-1 px-2 text-right cost">
                            <?php echo number_format($row['price']); ?>
                            </td>
                            <td class="py-1 px-2 text-center qty">
                                <span class="visible"><?php echo number_format($row['quantity']); ?></span>
                                <input type="hidden" name="item_id[]" value="<?php echo $row['item_id']; ?>">
                                <input type="hidden" name="unit[]" value="<?php echo $row['unit']; ?>">
                                <input type="hidden" name="qty[]" value="<?php echo $row['quantity']; ?>">
                                <input type="hidden" name="price[]" value="<?php echo $row['price']; ?>">
                                <input type="hidden" name="total[]" value="<?php echo $row['total']; ?>">
                            </td>
                            <td class="py-1 px-2 text-right total">
                            <?php echo number_format($row['total']); ?>
                            </td>
                        </tr>
                        <?php endwhile; ?>
                        <?php endif; ?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <th class="text-right py-1 px-2" colspan="5">Sub Total</th>
                            <th class="text-right py-1 px-2 sub-total">0</th>
                        </tr>
                        <tr>
                            <th class="text-right py-1 px-2" colspan="5">Discount <input style="width:40px !important" name="discount_perc" class='' type="number" min="0" max="100" value="<?php echo isset($discount_perc) ? $discount_perc : 0 ?>">%
                                <input type="hidden" name="discount" value="<?php echo isset($discount) ? $discount : 0 ?>">
                            </th>
                            <th class="text-right py-1 px-2 discount"><?php echo isset($discount) ? number_format($discount) : 0 ?></th>
                        </tr>
                        <tr>
                            <th class="text-right py-1 px-2" colspan="5">Tax <input style="width:40px !important" name="tax_perc" class='' type="number" min="0" max="100" value="<?php echo isset($tax_perc) ? $tax_perc : 0 ?>">%
                                <input type="hidden" name="tax" value="<?php echo isset($discount) ? $discount : 0 ?>">
                            </th>
                            <th class="text-right py-1 px-2 tax"><?php echo isset($tax) ? number_format($tax) : 0 ?></th>
                        </tr>
                        <tr>
                            <th class="text-right py-1 px-2" colspan="5">Total
                                <input type="hidden" name="amount" value="<?php echo isset($discount) ? $discount : 0 ?>">
                            </th>
                            <th class="text-right py-1 px-2 grand-total">0</th>
                        </tr>
                        <tr>
                            <th class="text-right py-1 px-2 text-success" colspan="5">Total Paid
                                
                            </th>
                            <th class="text-right py-1 px-2 paid-total"><input type="text" class="form-control text-right text-bold" name="paid" value="<?php echo isset($paid) ? $paid : 0 ?>"></th>
                            
                        </tr>
                        <tr>
                            <th class="text-right py-1 px-2 text-danger" colspan="5">Balance Due
                            </th>
                            <th class="text-right py-1 px-2 due-total"><input type="text" class="form-control text-right text-bold" name="due" value="<?php echo isset($due) ? $due : 0 ?>"></th>
                        </tr>
                    </tfoot>
                </table>
                <div class="row" style="margin-top: 50px;">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="remarks" class="text-info control-label">Remarks</label>
                            <textarea name="remarks" id="remarks" rows="4" class="form-control rounded-0"><?php echo isset($remarks) ? $remarks : '' ?></textarea>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="payment_type" class="control-label text-info">Payment Type</label>
                            <select name="payment_type" id="payment_type" class="custom-select select2">
	                           <option <?php echo !isset($payment_type) ? 'selected' : '' ?> disabled></option>
                               <option value="Cash">Cash</option>
                               <option value="Credit Card">Credit Card</option>
                               <option value="Check">Check</option>
                            </select>
                        </div>

                        <div class="form-group">
                            <label for="employee" class="control-label text-info">Employee</label>
                            <select name="employee" id="employee" class="custom-select select2">
                               <option <?php echo !isset($employeeid) ? 'selected' : '' ?> disabled></option>
                            <?php 
                            $employees = $conn->query("SELECT * FROM `users` WHERE is_active = 1 AND is_employee = 1 order by `name` asc");
                            while($row=$employees->fetch_assoc()):
                            ?>
                            <option value="<?php echo $row['id'] ?>" <?php echo isset($employeeid) && $employeeid == $row['id'] ? "selected" : "" ?> ><?php echo $row['name'] ?></option>
                            <?php endwhile; ?>
                            </select>
                        </div>
                    </div>                    
                </div>
            </div>
        </form>
    </div>
    <div class="card-footer py-1 text-center">
        <button class="btn btn-flat btn-primary" type="submit" form="po-form">Save</button>
        <a class="btn btn-flat btn-dark" href="<?php echo base_url.'/admin?page=purchase_order' ?>">Cancel</a>
    </div>
</div>
<table id="clone_list" class="d-none">
    <tr>
        <td class="py-1 px-2 text-center">
            <button class="btn btn-outline-danger btn-sm rem_row" type="button"><i class="fa fa-times"></i></button>
        </td>
        
        <td class="py-1 px-2 text-center unit">
        </td>
        <td class="py-1 px-2 item">
        </td>
        <td class="py-1 px-2 text-right cost">
        </td>
        <td class="py-1 px-2 text-center qty">
            <span class="visible"></span>
            <input type="hidden" name="item_id[]">
            <input type="hidden" name="unit[]">
            <input type="hidden" name="qty[]">
            <input type="hidden" name="price[]">
            <input type="hidden" name="total[]">
        </td>
        <td class="py-1 px-2 text-right total">
        </td>
    </tr>
</table>
<script>
    var items = $.parseJSON('<?php echo json_encode($item_arr) ?>');
    var costs = $.parseJSON('<?php echo json_encode($cost_arr) ?>'); 
    
    var items2 = $.parseJSON('<?php echo json_encode($item_arr2) ?>');
    var costs2 = $.parseJSON('<?php echo json_encode($cost_arr2) ?>');
    
    $(function(){
        $('.select2').select2({
            placeholder:"Please select here",
            width:'resolve',
        })
        $('#item_id').select2({
            placeholder:"Please select service first",
            width:'resolve',
        })
        $('#cat_id').select2({
            placeholder:"Please select owner first",
            width:'resolve',
        })

        $('#supplier_id').change(function(){
            var supplier_id = $(this).val()
            $('#item_id').select2('destroy')
            if(!!items[supplier_id]){
                $('#item_id').html('')
                var list_item = new Promise(resolve=>{
                    Object.keys(items[supplier_id]).map(function(k){
                        var row = items[supplier_id][k]
                        var opt = $('<option>')
                            opt.attr('value',row.id)
                            opt.text(row.name)
                        $('#item_id').append(opt)
                    })
                    resolve()
                })
                list_item.then(function(){
                    $('#item_id').select2({
                        placeholder:"Please select item here",
                        width:'resolve',
                    })
                })
            }else{
                list_item.then(function(){
                    $('#item_id').select2({
                        placeholder:"No Items Listed yet",
                        width:'resolve',
                    })
                })
            }

        })
     
        $('#user_id').change(function(){
            var user_id = $(this).val()
            $('#cat_id').select2('destroy')
            if(!!items2[user_id]){
                $('#cat_id').html('')
                var list_item2 = new Promise(resolve=>{
                    Object.keys(items2[user_id]).map(function(k){
                        var row2 = items2[user_id][k]
                        var opt2 = $('<option>')
                            opt2.attr('value',row2.id)
                            opt2.text(row2.name)
                        $('#cat_id').append(opt2)
                    })
                    resolve()
                })
                list_item2.then(function(){
                    $('#cat_id').select2({
                        placeholder:"Please select item here",
                        width:'resolve',
                    })
                })
            }else{
                list_item2.then(function(){
                    $('#cat_id').select2({
                        placeholder:"No Items Listed yet",
                        width:'resolve',
                    })
                })
            }

        })

        $('#add_to_list').click(function(){
	        //Added fields + for validation
	        var payment_type = $('#payment_type').val()
	        //**
            var supplier = $('#supplier_id').val()
            var item = $('#item_id').val()
            var qty = $('#qty').val() > 0 ? $('#qty').val() : 0;
            var unit = $('#unit').val()
            var price = costs[item] || 0
            var total = parseFloat(qty) *parseFloat(price)
            // console.log(supplier,item)
            var item_name = items[supplier][item].name || 'N/A';
            var item_description = items[supplier][item].description || 'N/A';
            var tr = $('#clone_list tr').clone()
            if(item == '' || qty == '' || unit == '' ){
                alert_toast('Form Item textfields are required.','warning');
                return false;
            }
            if($('table#list tbody').find('tr[data-id="'+item+'"]').length > 0){
                alert_toast('Item is already exists on the list.','error');
                return false;
            }
            tr.find('[name="item_id[]"]').val(item)
            tr.find('[name="unit[]"]').val(unit)
            tr.find('[name="qty[]"]').val(qty)
            tr.find('[name="price[]"]').val(price)
            tr.find('[name="total[]"]').val(total)
            tr.attr('data-id',item)
            tr.find('.qty .visible').text(qty)
            tr.find('.unit').text(unit)
            tr.find('.item').html(item_name+'<br/>'+item_description)
            tr.find('.cost').text(parseFloat(price).toLocaleString('en-US'))
            tr.find('.total').text(parseFloat(total).toLocaleString('en-US'))
            $('table#list tbody').append(tr)
            calc()
            $('#item_id').val('').trigger('change')
            $('#qty').val('')
            $('#unit').val('')
            tr.find('.rem_row').click(function(){
                rem($(this))
            })
            
            $('[name="discount_perc"],[name="tax_perc"]').on('input',function(){
                calc()
            })
            // $('#supplier_id').attr('readonly','readonly')
        })
        $('#po-form').submit(function(e){
			e.preventDefault();
			
			//Phuoc: Added fields + for validation
			var user_id = document.getElementById("user_id").value;
			var employee = document.getElementById("employee").value;
			var date_created = document.getElementById("date_created").value;
	        var payment_type = document.getElementById("payment_type").value;
	        if(user_id === ''){
                alert_toast('Please select customer.','warning');
                return false;
            }
            if(employee === ''){
                alert_toast('Please select employee.','warning');
                return false;
            }
            if(date_created === ''){
                alert_toast('Please select date.','warning');
                return false;
            }
	        if(payment_type === ''){
                alert_toast('Please select payment type.','warning');
                return false;
            }
	        //**
            var _this = $(this)
			 $('.err-msg').remove();
			start_loader();
			$.ajax({
				url:_base_url_+"classes/Master.php?f=save_invoice",
				data: new FormData($(this)[0]),
                cache: false,
                contentType: false,
                processData: false,
                method: 'POST',
                type: 'POST',
                dataType: 'json',
				error:err=>{
					console.log(err)
					alert_toast("An error occured",'error');
					end_loader();
				},
				success:function(resp){
					if(resp.status == 'success'){
						location.replace(_base_url_+"admin/?page=invoice/view&id="+resp.id);
					}else if(resp.status == 'failed' && !!resp.msg){
                        var el = $('<div>')
                            el.addClass("alert alert-danger err-msg").text(resp.msg)
                            _this.prepend(el)
                            el.show('slow')
                            end_loader()
                    }else{
						alert_toast("An error occured",'error');
						end_loader();
                        console.log(resp)
					}
                    $('html,body').animate({scrollTop:0},'fast')
				}
			})
		})

        if('<?php echo isset($id) && $id > 0 ?>' == 1){
            calc()
            $('#supplier_id').trigger('change')
            $('#supplier_id').attr()
            $('table#list tbody tr .rem_row').click(function(){
                rem($(this))
            })
        }
    })
    function rem(_this){
        _this.closest('tr').remove()
        calc()
        if($('table#list tbody tr').length <= 0)
            $('#supplier_id').removeAttr('readonly')

    }
    function calc(){
        var sub_total = 0;
        var grand_total = 0;
        var discount = 0;
        var tax = 0;
        $('table#list tbody input[name="total[]"]').each(function(){
            sub_total += parseFloat($(this).val())
            
        })
        $('table#list tfoot .sub-total').text(parseFloat(sub_total).toLocaleString('en-US',{style:'decimal',maximumFractionDigit:2}))
        var discount =   sub_total * (parseFloat($('[name="discount_perc"]').val()) /100)
        sub_total = sub_total - discount;
        var tax =   sub_total * (parseFloat($('[name="tax_perc"]').val()) /100)
        grand_total = sub_total + tax
        $('.discount').text(parseFloat(discount).toLocaleString('en-US',{style:'decimal',maximumFractionDigit:2}))
        $('[name="discount"]').val(parseFloat(discount))
        $('.tax').text(parseFloat(tax).toLocaleString('en-US',{style:'decimal',maximumFractionDigit:2}))
        $('[name="tax"]').val(parseFloat(tax))
        $('table#list tfoot .grand-total').text(parseFloat(grand_total).toLocaleString('en-US',{style:'decimal',maximumFractionDigit:2}))
        $('[name="amount"]').val(parseFloat(grand_total))

    }
</script>
<script>
  $(function () {
    //Date picker
    $('#datepicker').datetimepicker({
        format: 'L'
    });
  })
</script>
<script>  
$('#supplier_id').change(function() {
 $('#unit').val($('option:selected',this).text());
});
$('#item_id').change(function() {
	var x = document.getElementById("select2-supplier_id-container").title;
    document.getElementById("unit").value = x;
});
</script>
<script>
$('[name="paid"]').on('input',function(){
var num1 =   1 * (parseFloat($('[name="amount"]').val()) /1);
var num2 =   1 * (parseFloat($('[name="paid"]').val()) /1);
var num3 = num1 - num2;
$('[name="due"]').val(parseFloat(num3.toFixed(2)));       
})
</script>