<?php 	
include('../../classes/db.php'); 		
$fetchid = $_GET['fetchid'];
 
// DB table to use 
// $table = 'members'; 
$table = <<<EOT
 (
    SELECT 
      a.resid, 
      a.userid, 
      a.catid,
      a.status,
      a.checkin,
      a.checkout,
      a.service,
      a.suite,
      a.bath,
      a.nailtrim,
      b.id,
      b.color,
      b.sex,
      b.clinic,
      b.cphone,

      c.email
    FROM reservations a
    LEFT JOIN cats b ON a.catid = b.id
    LEFT JOIN users c ON a.userid = c.id
 ) temp
EOT;
 
// Table's primary key 
$primaryKey = 'resid'; 
 
// Array of database columns which should be read and sent back to DataTables. 
// The `db` parameter represents the column name in the database.  
// The `dt` parameter represents the DataTables column identifier. 
$columns = array( 
    array( 'db' => 'resid', 'dt' => 0 ),
    array( 'db' => 'color', 'dt' => 1 ), 
    array( 'db' => 'sex',  'dt' => 2 ), 
    array( 'db' => 'email',      'dt' => 3 ), 
    array( 'db' => 'clinic',     'dt' => 4 ), 
    array( 'db' => 'cphone',    'dt' => 5 ), 
    array( 
        'db'        => 'checkin', 
        'dt'        => 6, 
        'formatter' => function( $d, $row ) { 
            return date( 'jS M Y', strtotime($d)); 
        } 
    ), 
    array( 
        'db'        => 'status', 
        'dt'        => 7, 
        'formatter' => function( $d, $row ) { 
            return ($d == 1)?'<span style="color: blue;">Active</span> '.$d:'Inactive'; 
        } 
    ),
    array( 'db' => 'suite',    'dt' => 8 ),
    array( 'db' => 'bath',    'dt' => 9 ),
    array( 'db' => 'nailtrim',    'dt' => 10 )
    // array( 'db' => 'kesulitan_mapel',    'dt' => 9 )
); 

// Include SQL query processing class 
require 'ssp.php'; 

// require('ssp.class.php');

// Output data as json format 
echo json_encode( 
    SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns, null, "service = $nilai" )
    // SSP::simple( $_GET, $dbDetails, $table, $primaryKey, $columns)

);
?>