<div class="card card-outline card-primary">
	<div class="card-header">
		<h3 class="card-title">Gallery Items</h3>
        <div class="card-tools">
			<a href="javascript:void(0)" id="create_new" class="btn btn-flat btn-primary"><span class="fas fa-plus"></span>  Add New</a>
		</div>
	</div>
	<div class="card-body">
		<div class="container-fluid">
          <table id="table" class="table table-bordered table-hover" style="width: 100%;">
	       <thead>
	        <tr>
		        <th>ID</th>
	            <th>Name</th>
	            <th>Details</th>
	            <th>Category</th>
	            <th>Status</th>
	            <th>date_updated</th>
	            <th>Action</th>
	        </tr>
	       </thead>
	      </table>
		</div>
	</div>
</div>
<?php
$now = date("Y-m-d", strtotime( '0 days' ));
$fetchid = $now;
?>
<script>
	$(document).ready(function(){
		var today = new Date();
        var dd = String(today.getDate()).padStart(2, '0');
        var mm = String(today.getMonth() + 1).padStart(2, '0');
        var yyyy = today.getFullYear();
            today = mm + '/' + dd + '/' + yyyy;
		var table = $('#table').DataTable( { 
		    "processing": true,
		    "serverSide": true,
		    "ajax": "fetch/galleryItems.php?fetchid=<?=$fetchid?>",
		    "order": [[5, 'asc']],
		    "pageLength": 50,
		 // "responsive": true,
		    "language": 
		        {                
                    "infoFiltered": ""
                },
		    "columnDefs": 
		    [
			    {
                    "targets": [ 0, 2, 4, 5 ],
                    "visible": false,
                    "searchable": false
                },
			    {
                    "targets": [ -1 ],
                    "className": "text-center"
                },
		        {
		         	"targets": -1,
		            "data": null,
		            "defaultContent": "<button type='button' class='btn btn-default dropdown-toggle dropdown-icon' data-toggle='dropdown' aria-expanded='false'><span class='sr-only'>Toggle Dropdown</span></button><div class='dropdown-menu' role='menu' style='left: inherit; right: 0px;'><a class='dropdown-item edit' href='#'><span class='fa fa-edit text-primary'></span> Edit</a><div class='dropdown-divider'></div><a class='dropdown-item delete' href='#'><span class='fa fa-trash text-danger'></span> Delete</a></div>" 
		        }
		        ]
		    });
	        
		    $('#create_new').click(function(){
			uni_modal("<i class='fa fa-plus'></i> Add Gallery Item","gallery/manage_items.php","mid-large")
		    })
		    
		    $('#table tbody').on( 'click', '.edit', function () {
			var data = table.row( $(this).parents('tr')).data();
		    var data1 = data[0];
		    uni_modal("<i class='fa fa-calendar-check'></i> Edit Gallery Item" ,"gallery/manage_items.php?id="+ data1 ,"mid-large")
		    })

		    $('#table tbody').on( 'click', '.delete', function () {
			    var data = table.row( $(this).parents('tr')).data();
		        var data1 = data[0];
			    _conf("Are you sure to delete this Item permanently?","delete_gallery_item",[+ data1])
		    });

		});
		
	function delete_gallery_item($id){
		start_loader();
		$.ajax({
			url:_base_url_+"classes/Master.php?f=delete_gallery_item",
			method:"POST",
			data:{id: $id},
			dataType:"json",
			error:err=>{
				console.log(err)
				alert_toast("An error occured.",'error');
				end_loader();
			},
			success:function(resp){
				if(typeof resp== 'object' && resp.status == 'success'){
					location.reload();
				}else{
					alert_toast("An error occured.",'error');
					end_loader();
				}
			}
		})
	}		
	</script>