<div class="card card-outline card-primary">
	<div class="card-header">
		<h3 class="card-title">List of Purchase Orders</h3>
        <div class="card-tools">
			<a href="<?php echo base_url ?>admin/?page=purchase_order/manage_po" class="btn btn-flat btn-primary"><span class="fas fa-plus"></span>  Create New</a>
		</div>
	</div>
	<div class="card-body">
		<div class="container-fluid">
          <table id="memListTable"  class="table table-bordered table-hover">
	       <thead>
	        <tr>
	        	<th>resid</th>
	            <th>Pet</th>
	            <th>In Date</th>
	            <th>In Time</th>
	            <th>Out Date</th>
	            <th>Out Time</th>
	            <th>Run</th>
	            <th>Vacc</th>
	            <th>Conf</th>
	            <th>Breed</th>
	            <th>OS</th>
	            <th>Action</th>
	        </tr>
	       </thead>
	      </table>
		</div>
	</div>
</div>
<?php
$fetchid = 5;
?>
<script>
	$(document).ready(function(){
		var table = $('#memListTable').DataTable( { 
		    "processing": true,
		    "serverSide": true,
		    "ajax": "fetch/reservations.php?fetchid=<?= $fetchid; ?>",
		    "columnDefs": 
		    [
			    {
                    "targets": 0,
                    "visible": false,
                    "searchable": false
                },
		        {
		         	"targets": 9,
		            "render": $.fn.dataTable.render.number( '.', '', '', 'Rp. ' )
		             
		        },
		        {
		         	"targets": -1,
		            "data": null,
		            "defaultContent": "<center><button class='btn btn-success btn-xs tblEdit'>Edit </button> <button class='btn btn-success btn-xs tblDelete'>Delete</button></center>" 
		         	}
		        ]
		    });

		    // Numbering 
		    table.on('draw.dt', function () {
	            var info = table.page.info();
	            table.column(0, { search: 'applied', order: 'applied', page: 'applied' }).nodes().each(function (cell, i) {
	                cell.innerHTML = i + 1 + info.start;
	            });
	        });
	        
		    // table.on( 'order.dt search.dt', function () {
		    //     table.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
		    //         cell.innerHTML = i+1;
		    //     } );
		    // } ).draw();

		    $('#memListTable tbody').on( 'click', '.tblEdit', function () {
		        var data = table.row( $(this).parents('tr')).data();
		        var data3 = data[3];
		        var data3 = btoa(data3);
		        window.location.href = "http://localhost/sms/admin/?page=reservations/edit&id="+ data3;
		    });

		    $('#memListTable tbody').on( 'click', '.tblDelete', function () {
		        var data = table.row( $(this).parents('tr')).data();
		        window.location.href = "delete.php?id="+ data[0];
		    });

		});
	</script>
</body>
</html>

<script>
	// Define the string
	var string = 'Hello World!';

	// Encode the String
	var encodedString = btoa(string);
	console.log(encodedString); // Outputs: "SGVsbG8gV29ybGQh"

	// Decode the String
	var decodedString = atob(encodedString);
	console.log(decodedString); // Outputs: "Hello World!"
</script>