<?php
ob_start();	
session_start();
header("Content-Type: text/html; charset=utf-8");
ini_set('display_errors','off');
ini_set('date.timezone','America/Los_Angeles');
date_default_timezone_set('America/Los_Angeles');
$datetime_dash = date('Y-m-d h:i:sa');	
$datetime_slash = date('Y/m/d h:i:sa');
$date_dash = date('Y-m-d');	
$date_slash = date('Y/m/d');
$today_dash = date("Y-m-d", strtotime( '0 days' ));
$yesterday_dash = date("Y-m-d", strtotime( '-1 days' ));
$tomorrow_dash = date("Y-m-d", strtotime( '+1 days' ));
$date_dash_us = date('m-d-Y');
$date_slash_us = date('m/d/Y');
$invoicecode = date('ymdhis');

$datetime_only = date('Y-m-d h:i:s');

require_once('initialize.php');
require_once('classes/DBConnection.php');
require_once('classes/SystemSettings.php');
$db = new DBConnection;
$conn = $db->conn;

$pedicure = $conn->query("SELECT * FROM `service_items` WHERE service_id = 1 AND status = 1");
$manicure = $conn->query("SELECT * FROM `service_items` WHERE service_id = 2 AND status = 1");
$fullset = $conn->query("SELECT * FROM `service_items` WHERE service_id = 3 AND status = 1");
$kid = $conn->query("SELECT * FROM `service_items` WHERE service_id = 4 AND status = 1");
$eyelash = $conn->query("SELECT * FROM `service_items` WHERE service_id = 5 AND status = 1");
$microblading = $conn->query("SELECT * FROM `service_items` WHERE service_id = 6 AND status = 1");
$wax = $conn->query("SELECT * FROM `service_items` WHERE service_id = 7 AND status = 1");
$refill = $conn->query("SELECT * FROM `service_items` WHERE service_id = 10 AND status = 1");

?>
<!DOCTYPE HTML>
<html lang="en" class="no-js"> 
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
   <title>City Nails is the best nail salon in Houston, TX 77084 </title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0 user-scalable=no"/>
<meta name="author" content="Best Nails Salon in Houston, TX 77084">
<meta name="Keywords" content="Houston TX, best, nails salon, shop, dipping, sns, nexgen, gel, shellac, color, near, facial, solar nails, pink & white, manicure, pedicure, wax, 77084" />
<meta itemprop="url" content="http://CityNailsHouston.com"/>
<meta itemprop="description" name="description" content="Best nail salon in the industry in Houston, TX 77084 specializing in dipping powder SNS, gel, shellac, solar nails, manicure, pedicure, wax"/>
  <link rel="icon" type="image/png" href="img/favicon.ico">
  <link href='http://fonts.googleapis.com/css?family=Amita:400,400italic,300italic,300,100italic,100,500,500italic,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
  <link href='http://fonts.googleapis.com/css?family=Amita' rel='stylesheet' type='text/css'>
  <link href='http://fonts.googleapis.com/css?family=Merriweather:400,300,300italic,400italic,700,700italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="style.css" media="screen">
  <link rel="stylesheet" type="text/css" href="css/canngaystyle.css" media="screen">
  <link rel="stylesheet" type="text/css" href="css/responsive.css" media="screen">
  <link rel="stylesheet" type="text/css" href="css/red.css" media="screen">
  <!--[if lt IE 9]>
      <script type="text/javascript" src="js/ie.js"></script>
      <script type="text/javascript" src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]--> 
</head>
<body onload="initialize()">

 <div class="loader"></div>

  <div id="offcanvas-container" class="wrapper offcanvas-container">
    <div class="inner-wrapper offcanvas-pusher">
                 
<div class="slider-one">
  <header class="header-wrapper">
          <div class="container">
          <div class="row">
            <div class="col-xs-12">
              <div class="logo">
                <a title="City Nails" href="index.html">
                  <img id="logo" src="img/logo.png" alt="City Nails Logo">
                </a>
              </div>
              <div class="navbar navbar-default mainnav">
                <div class="navbar-header navbar-right pull-right">
                  <div id="offcanvas-trigger-effects" class="column">
                    <button type="button" class="navbar-toggle visible-sm visible-xs" data-toggle="offcanvas" data-target=".navbar-collapse" data-placement="right" data-effect="offcanvas-effect"> <i class="fa fa-bars"></i>
                    </button>
                  </div>
                </div>
                
                <div class="collapse navbar-collapse">
                  <ul class="nav navbar-nav navbar-right">
                    <li><a href="index.html">Home</a></li>
                    <li class="active"><a href="nail-salon-services.html">Services</a></li>
                    <li><a href="nail-salon-specials.html">Specials</a></li> 
                    <li><a href="nail-salon-gallery.html">Gallery</a></li>
                    <li><a href="nail-salon-appointment.html">Book</a></li>
                    
                    <li><a href="nail-salon-contact.html">Directions</a></li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
          </div> 
        </header>
    <section class="banner-wrapper contact-banner">
    <div class="container">
      <div class="row">
        <div class="col-xs-12">
          <h1>Our Services</h1>
          <p>Come & Experience The Difference</p>
        </div>
      </div>
    </div>
  </section>

<section>
	    <div class="container padding-b-20 padding-t-10 services">
	        <h2>Full Set</h2>
<?php
while($row = mysqli_fetch_array($fullset)){
	$id="$row[id]";
	$name="$row[name]";
	$desc="$row[description]";
	$cost="$row[cost]";
print "<article class='menu-item-list col-md-6 col-sm-12'>
<h3>$name<span class='sub'></span><span class='price'>$cost</span></h3>
<p style='width:98%'>$desc</p>
</article>";
}
?>
        </div>  
        <div class="container padding-b-40 padding-t-20 services">
	        <h2>Refill</h2>
<?php
while($row = mysqli_fetch_array($refill)){
	$id="$row[id]";
	$name="$row[name]";
	$desc="$row[description]";
	$cost="$row[cost]";
print "<article class='menu-item-list col-md-6 col-sm-12'>
<h3>$name<span class='sub'></span><span class='price'>$cost</span></h3>
<p style='width:98%'>$desc</p>
</article>";
}
?>
        </div> 
        	    <div class="container padding-b-20 padding-t-10 services">
	        <h2>Pedicure</h2>
<?php
while($row = mysqli_fetch_array($fullset)){
	$id="$row[id]";
	$name="$row[name]";
	$desc="$row[description]";
	$cost="$row[cost]";
print "<article class='menu-item-list col-md-6 col-sm-12'>
<h3>$name<span class='sub'></span><span class='price'>$cost</span></h3>
<p style='width:98%'>$desc</p>
</article>";
}
?>
        </div>  
        <div class="container padding-b-40 padding-t-20 services">
	        <h2>Manicure</h2>
<?php
while($row = mysqli_fetch_array($refill)){
	$id="$row[id]";
	$name="$row[name]";
	$desc="$row[description]";
	$cost="$row[cost]";
print "<article class='menu-item-list col-md-6 col-sm-12'>
<h3>$name<span class='sub'></span><span class='price'>$cost</span></h3>
<p style='width:98%'>$desc</p>
</article>";
}
?>
        </div> 	    <div class="container padding-b-20 padding-t-10 services">
	        <h2>Kids Menu</h2>
<?php
while($row = mysqli_fetch_array($fullset)){
	$id="$row[id]";
	$name="$row[name]";
	$desc="$row[description]";
	$cost="$row[cost]";
print "<article class='menu-item-list col-md-6 col-sm-12'>
<h3>$name<span class='sub'></span><span class='price'>$cost</span></h3>
<p style='width:98%'>$desc</p>
</article>";
}
?>
        </div>  
        <div class="container padding-b-40 padding-t-20 services">
	        <h2>Eyelash Extensions</h2>
<?php
while($row = mysqli_fetch_array($refill)){
	$id="$row[id]";
	$name="$row[name]";
	$desc="$row[description]";
	$cost="$row[cost]";
print "<article class='menu-item-list col-md-6 col-sm-12'>
<h3>$name<span class='sub'></span><span class='price'>$cost</span></h3>
<p style='width:98%'>$desc</p>
</article>";
}
?>
        </div> 	
        <div class="container padding-b-40 padding-t-20 services">
	        <h2>Waxing</h2>
<?php
while($row = mysqli_fetch_array($refill)){
	$id="$row[id]";
	$name="$row[name]";
	$desc="$row[description]";
	$cost="$row[cost]";
print "<article class='menu-item-list col-md-6 col-sm-12'>
<h3>$name<span class='sub'></span><span class='price'>$cost</span></h3>
<p style='width:98%'>$desc</p>
</article>";
}
?>
        </div> 
</section>
			
<br/><br/>
  <section class="section-padding about-brief-wrapper">
    <div class="container">
      <div class="row">
        <div class="col-xs-12 col-sm-10 col-sm-offset-1">
          <div class="contents">
            <h2>For Your Safety</h2>
            <p>To ensure your safety everytime you visit us, we only use 100% disposable spa chair liner. You can relax and feel safe coming here.</p>
            <a class="btn" <a href="http://maps.apple.com/?saddr=Current+Location&daddr=1321+Chisholm+Trail+Ste+100+Houston+TX+77084">Come & Experience</a>
          </div>
        </div>
      </div>
    </div>
  </section>
<footer class="site-footer">
    <div class="footer-top">
      <div class="container">
        <div class="row">
        <div class="col-xs-12 col-sm-3">
          <h3 class="footer-title"><span>Location</span></h3>
          <div class="address">
           <p class="icon-map"><i class="fa fa-map-marker"></i><strong></strong> 18311 Clay Rd</p><p class="next"> Houston, TX 77084</p>
           <p><i class="fa fa-phone"></i><strong></strong> <a href="tel:2818551744">281-855-1744</a></p>
          </div>
        </div>
        <div class="col-xs-12 col-sm-3">
          <h3 class="footer-title"><span>Hours</span></h3>
          <div class="open-time opening-time">
           <p class="clock-time"><strong>Mon - Fri:</strong> 9:30am - 7:00pm</p>
           <p><strong>Saturday:</strong> 9am - 7pm</p><p><strong>Sunday:</strong> 11am - 5pm</p>
           
        </div>
        </div>
        <div class="col-xs-12 col-sm-4">
          <h3 class="footer-title"><span>Service</span></h3>
          <ul class="menu-foot">
                                    <li class=""><a href="index.html">Home</a></li>
                                    <li class=""><a href="nail-salon-services.html">Services</a></li>
                                    <li  class=""><a href="nail-salon-specials.html">Coupon</a></li>
                                    <li  class=""><a href="nail-salon-gallery.html">Gallery</a></li>
                                    <li  class=""><a href="nail-salon-appointment.html">Book</a></li>
                                    <li  class=""><a href="nail-salon-contact.html">Directions</a></li>
                                    
          </ul>
        </div>
        <div class="col-xs-12 col-sm-2">
           <h3 class="footer-title"><span>Social</span></h3>
          <div class="address">
           <p><i class="fa fa-comment"></i><strong>Like us</strong></p>
          </div>
          <ul class="list-inline footer-social-list">
              
              <li><a href="https://www.facebook.com/p/City-Nails-100023737844803/" target="_blank"><i class="fa fa-facebook"></i></a></li>
              <li><a href="https://www.yelp.com/biz/city-nails-houston" target="_blank"><i class="fa fa-yelp"></i></a></li>
              
          </ul>
        </div>
      </div>
      </div>
    </div>
    <div class="footer-bottom">
      <div class="container">
        <div class="row">
          <div class="col-xs-12">
            <div class="copy-right pull-left">
              <p>Copyright &copy; 2018 City Nails | Designed by <a href="http://canngay.com" target="_blank">Cần Ngay</a></p>
            </div>
           
              <div class="back-top pull-right">
                <i class="fa fa-angle-up "></i>
              </div>
          </div>
        </div>
      </div>
    </div>
  </footer>

</div>

    <div class="offcanvas-menu offcanvas-effect  hidden-sm hidden-md hidden-lg">
      <button id="off-canvas-close-btn" class="close" type="button" aria-hidden="true" data-toggle="offcanvas" >&times;</button>
      <h2>City Nails</h2>
     <ul>
                    <li class="active"><a href="index.html">Home</a></li>
                    <li ><a href="nail-salon-services.html">Services</a></li>
                    <li><a href="nail-salon-specials.html">Specials</a></li>
                    <li  class=""><a href="nail-salon-gallery.html">Gallery</a></li>
                    <li><a href="nail-salon-appointment.html">Book Online</a></li> 
                    <li><a href="nail-salon-contact.html">Directions</a></li>
      </ul>
    </div>
  </div>
  <script type="text/javascript" src="js/jquery.min.js"></script> 
  <script type="text/javascript" src="js/modernizr-2.6.2.min.js"></script>
  <script type="text/javascript" src="js/bootstrap.min.js"></script>
  <script type="text/javascript" src="js/wow.min.js"></script>
  <script type="text/javascript" src="vendor/rs-plugin/js/jquery.themepunch.tools.min.js"></script>
  <script type="text/javascript" src="vendor/rs-plugin/js/jquery.themepunch.revolution.min.js"></script>
  <script type="text/javascript" src="vendor/fancybox/jquery.fancybox.min.js"></script>
  <script type="text/javascript" src="js/owl.carousel.min.js"></script> 
  <script type="text/javascript" src="js/sidebarEffects.js"></script>
  <script type="text/javascript" src="js/classie.js"></script>
  <script type="text/javascript" src="js/jquery.shuffle.min.js"></script>
  <script type="text/javascript" src="js/jquery-ui.min.js"></script>
  <script type="text/javascript" src="js/jquery.countdown.js"></script>
  <script type="text/javascript" src="js/validation.js"></script>
  <script type="text/javascript" src="js/tweetie.min.js"></script>
  <script src="//maps.googleapis.com/maps/api/js"></script>
  <script type="text/javascript" src="js/map-popup.js"></script>
  <script type="text/javascript" src="js/preset.js"></script>
  <script type="text/javascript" src="js/custom.js"></script>
 </body>
</html>